Skip to main content
POST
/
leaderboards
/
{leaderboardConfigId}
/
distribution
Assign distribution details to a leaderboard config
curl --request POST \
  --url https://{subdomain}.nudj.cx/api/v2/admin/leaderboards/{leaderboardConfigId}/distribution \
  --header 'Content-Type: application/json' \
  --header 'x-api-token: <api-key>' \
  --data '
{
  "rewards": [
    {
      "pointsToDistribute": 1,
      "bonusXpToDistribute": 1,
      "rewardsConfig": {
        "amountToDistribute": 1,
        "allocations": [
          {
            "id": "<string>",
            "supply": 1,
            "amountToDistribute": 2,
            "distributed": 1,
            "isLive": true,
            "rewardId": "<string>"
          }
        ]
      },
      "startRank": 123,
      "endRank": 123
    }
  ]
}
'
import requests

url = "https://{subdomain}.nudj.cx/api/v2/admin/leaderboards/{leaderboardConfigId}/distribution"

payload = { "rewards": [
{
"pointsToDistribute": 1,
"bonusXpToDistribute": 1,
"rewardsConfig": {
"amountToDistribute": 1,
"allocations": [
{
"id": "<string>",
"supply": 1,
"amountToDistribute": 2,
"distributed": 1,
"isLive": True,
"rewardId": "<string>"
}
]
},
"startRank": 123,
"endRank": 123
}
] }
headers = {
"x-api-token": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rewards: [
{
pointsToDistribute: 1,
bonusXpToDistribute: 1,
rewardsConfig: {
amountToDistribute: 1,
allocations: [
{
id: '<string>',
supply: 1,
amountToDistribute: 2,
distributed: 1,
isLive: true,
rewardId: '<string>'
}
]
},
startRank: 123,
endRank: 123
}
]
})
};

fetch('https://{subdomain}.nudj.cx/api/v2/admin/leaderboards/{leaderboardConfigId}/distribution', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "leaderboardConfigId": "<string>",
  "rewards": [
    {
      "pointsToDistribute": 1,
      "bonusXpToDistribute": 1,
      "rewardsConfig": {
        "amountToDistribute": 1,
        "allocations": [
          {
            "id": "<string>",
            "supply": 1,
            "amountToDistribute": 2,
            "distributed": 1,
            "isLive": true,
            "rewardId": "<string>"
          }
        ]
      },
      "startRank": 2,
      "endRank": 2
    }
  ]
}
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}

Authorizations

x-api-token
string
header
required

Path Parameters

leaderboardConfigId
string
required

The id of the leaderboard config

Body

application/json
rewards
object[]
required

Response

Successful response

leaderboardConfigId
string
required

The id of the leaderboard config with assigned distribution details

rewards
object[]
required